#!/usr/bin/env python
"""
Copyright © Huawei Technologies Co., Ltd. 2010-2019. All rights reserved.
description     :   list at xpds msg
modify  record  :   2019-05-25 create file
"""

at_xpds_msg_enum_table = {
0x0001 : "ID_AT_XPDS_GPS_START_REQ",
0x0002 : "ID_XPDS_AT_GPS_START_CNF",
0x0003 : "ID_AT_XPDS_GPS_CFG_MPC_ADDR_REQ",
0x0004 : "ID_XPDS_AT_GPS_CFG_MPC_ADDR_CNF",
0x0005 : "ID_AT_XPDS_GPS_CFG_PDE_ADDR_REQ",
0x0006 : "ID_XPDS_AT_GPS_CFG_PDE_ADDR_CNF",
0x0007 : "ID_AT_XPDS_GPS_CFG_POSITION_MODE_REQ",
0x0008 : "ID_XPDS_AT_GPS_CFG_MODE_CNF",
0x0009 : "ID_AT_XPDS_GPS_QRY_REFLOC_INFO_REQ",
0x000a : "ID_XPDS_AT_GPS_REFLOC_INFO_CNF",
0x000b : "ID_AT_XPDS_GPS_QRY_TIME_INFO_REQ",
0x000c : "ID_XPDS_AT_GPS_TIME_INFO_IND",
0x000d : "ID_AT_XPDS_GPS_STOP_REQ",
0x000e : "ID_XPDS_AT_GPS_STOP_CNF",
0x1001 : "ID_AT_XPDS_GPS_PRM_INFO_RSP",
0x1003 : "ID_AT_XPDS_GPS_POS_INFO_RSP",
0x1005 : "ID_AT_XPDS_GPS_REPLY_NI_REQ",
0x2002 : "ID_XPDS_AT_GPS_ION_INFO_IND",
0x2004 : "ID_XPDS_AT_GPS_EPH_INFO_IND",
0x2006 : "ID_XPDS_AT_GPS_ALM_INFO_IND",
0x2008 : "ID_XPDS_AT_GPS_PDE_POSI_INFO_IND",
0x200a : "ID_XPDS_AT_GPS_NI_SESSION_IND",
0x200c : "ID_XPDS_AT_GPS_START_REQ",
0x200e : "ID_XPDS_AT_GPS_CANCEL_IND",
0x2012 : "ID_XPDS_AT_GPS_ACQ_ASSIST_DATA_IND",
0x2014 : "ID_XPDS_AT_GPS_DEL_ASSIST_DATA_IND",
0x2016 : "ID_XPDS_AT_GPS_ABORT_IND",
0x2018 : "ID_XPDS_AT_GPS_NI_CP_START",
0x201a : "ID_XPDS_AT_GPS_NI_CP_STOP",
0x3001 : "ID_XPDS_AT_AP_DATA_CALL_REQ",
0x3002 : "ID_AT_XPDS_AP_DATA_CALL_STATUS_IND",
0x3003 : "ID_XPDS_AT_AP_SERVER_BIND_REQ",
0x3004 : "ID_AT_XPDS_AP_SERVER_BIND_STATUS_IND",
0x3005 : "ID_XPDS_AT_AP_REVERSE_DATA_IND",
0x3006 : "ID_AT_XPDS_AP_FORWARD_DATA_IND",
0x3007 : "ID_AT_XPDS_UTS_TEST_START_REQ",
0x3008 : "ID_XPDS_AT_GPS_UTS_TEST_START_REQ",
0x3009 : "ID_AT_XPDS_UTS_TEST_STOP_REQ",
0x300a : "ID_XPDS_AT_GPS_UTS_TEST_STOP_REQ",
0x300b : "ID_XPDS_AT_UTS_GPS_POS_INFO_IND",
0x300c : "ID_XPDS_AT_GPS_OM_TEST_START_REQ",
0x300d : "ID_XPDS_AT_GPS_OM_TEST_STOP_REQ",
}

def get_at_xpds_msg_str( MsgId):
    for MsgIdIndex in at_xpds_msg_enum_table.keys():
        if MsgIdIndex == MsgId:
            return at_xpds_msg_enum_table[MsgIdIndex]

    return "none"